# $Revision: 1.13 $, $Date: 2008/07/27 22:45:43 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Parse
%define		pnam	Template
Summary:	Parse::Template - processor for templates containing Perl expressions
Summary(pl.UTF-8):	Parse::Template - procesor dla szablonów zawierających wyrażenia Perla
Name:		perl-Parse-Template
Version:	0.34
Release:	2
# same as perl
License:	GPL v1 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	f211413811b6a51c6637f60259ba7b10
Patch0:		perl-ParseTemplate-paths.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
Obsoletes:	perl-ParseTemplate
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Parse::Template class evaluates Perl expressions placed within a
text.  This class can be used as a code generator, or a generator of
documents in various document formats (HTML, XML, RTF, etc.).

%description -l pl.UTF-8
Klasa Parse::Template oblicza wyrażenia Perla umieszczone w tekście.
Klasa ta może służyć jako generator kodu lub jako generator dokumentów
w różnych formatach (HTML, XML, RTF itp.).

%prep
%setup -q -n %{pdir}%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Parse/Template.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/delegation2.pl
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/[!d]*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/d?[!l]*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Parse-Template.spec,v $
Revision 1.13  2008/07/27 22:45:43  arekm
- release 2

Revision 1.12  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.10  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.9  2004/11/03 22:30:39  paladine
- formatting

Revision 1.8  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.7  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.6  2004/04/23 14:50:12  qboosh
- unifications

Revision 1.5  2004/04/22 20:16:26  agaran
- added bcond make tests, currently without by default because fails here, nfy, wip

Revision 1.4  2003/11/23 12:47:44  radek
- more pl in pl description

Revision 1.3  2003/11/22 23:38:24  qboosh
- typo, standard glob exclusion, updated perl BR for vendordirs

Revision 1.2  2003/11/22 21:48:10  ankry
- pl, cosmetics

Revision 1.1  2003/11/22 21:23:38  radek
- moved from perl-ParseTemplate.spec
- informative summaries && better descriptions
- added Obsoletes: perl-ParseTemplate

Revision 1.29  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 20:22:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/27 20:59:09  ankry
fixed %%attr and %%files

Revision 1.22  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:37:38  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:14:36  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/03/03 20:31:03  marcus
- rel.4.

Revision 1.17  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/10 15:31:30  depesz
adapterized

Revision 1.15  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 12:14:18  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/02/08 06:29:47  kloczek
- fixed %prep.

Revision 1.10  2001/02/05 21:37:03  kloczek
- updated to 0.34.

Revision 1.9  2001/01/22 23:44:24  kloczek
- spec adapterized,
- do not include .packlist file in %files.

Revision 1.8  2001/01/13 01:45:38  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:45  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
